const Wait = require('./wait');

class AssertElement {
  constructor(page, elementSelector) {
    this.page = page;
    this.elementSelector = elementSelector;
  }

  assertElementVisible() {
    const wait = new Wait(this.page, this.elementSelector);
    wait.waitElementPresent();
    return this.page.assert.visible(this.elementSelector);
  }

  assertElementPresent() {
    return this.page.assert.elementPresent(this.elementSelector);
  }

  assertElementNotPresent() {
    return this.page.assert.elementNotPresent(this.elementSelector);
  }
}

module.exports = AssertElement;
