class Wait {
  constructor(page, elementSelector) {
    this.page = page;
    this.elementSelector = elementSelector;
  }

  waitElementPresent() {
    this.page.waitForElementPresent(this.elementSelector, 30000);
  }

  waitElementVisible() {
    this.waitElementPresent();
    this.page.waitForElementVisible(this.elementSelector, 30000);
  }

  waitElementEnable() {
    this.waitElementPresent();
    this.page.waitForElementVisible(`${this.elementSelector}:enabled`, 30000);
  }

  waitElementDisable() {
    this.waitElementPresent();
    this.page.waitForElementVisible(`${this.elementSelector}:disabled`, 30000);
  }
}

module.exports = Wait;
